<?php

declare(strict_types=1);

namespace App\Dictionary\EHealthCard;

/**
 * 电子健康卡 - 用卡渠道
 *
 * @see https://open.tengmed.com/openAccess/docs/develop#75
 */
enum CardChannel: string
{
    case WECHAT = '0400';

    case OFFICIAL_ACCOUNT = '0401';

    case MINI_PROGRAM = '0402';

    case OTHER = '0599';

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::WECHAT => '微信',
            self::OFFICIAL_ACCOUNT => '服务号',
            self::MINI_PROGRAM => '小程序',
            self::OTHER => '其他',
        };
    }
}
