<?php

declare(strict_types=1);

namespace App\Dictionary\Order;

/**
 * 支付类型
 */
enum PayType: int
{
    case AGGREGATION_PAY = 1;

    case UNION_PAY = 2;

    case WECHAT_PAY = 3;

    case ALI_PAY = 4;

    case MEDICAL_INSURANCE_PAY = 5;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::AGGREGATION_PAY => '聚合支付',
            self::UNION_PAY => '银联支付',
            self::WECHAT_PAY => '微信支付',
            self::ALI_PAY => '支付宝支付',
            self::MEDICAL_INSURANCE_PAY => '医保支付',
        };
    }

    /**
     * Order id name
     * @return string
     */
    public function order(): string
    {
        return match ($this) {
            self::AGGREGATION_PAY => 'JH',
            self::UNION_PAY => 'YL',
            self::WECHAT_PAY => 'WX',
            self::ALI_PAY => 'AL',
            self::MEDICAL_INSURANCE_PAY => 'YB',
        };
    }
}
