<?php

declare(strict_types=1);

namespace App\Dictionary\Patient;

/**
 * 证件类型
 */
enum CardType: int
{
    case MEDICAL_CARD = 1;

    case MEDICAL_INSURANCE_CARD = 2;

    case RESIDENT_ID_CARD = 3;

    case OUTPATIENT_NO = 4;

    case INPATIENT_NO = 5;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::MEDICAL_CARD => '就诊卡',
            self::MEDICAL_INSURANCE_CARD => '医保卡',
            self::RESIDENT_ID_CARD => '居民身份证',
            self::OUTPATIENT_NO => '门诊号码（门诊用）',
            self::INPATIENT_NO => '住院号码（住院用）',
        };
    }
}
