<?php

declare(strict_types=1);

namespace App\Dictionary\PushMessage;

use App\Dictionary\WeChat\Official\OpenApi;

/**
 * 推送微信消息状态
 */
enum Status: int
{
    case NORMAL = 0;

    case SUCCESS = 1;

    case FAILURE = 2;

    /**
     * Label string.
     *
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::NORMAL => '未推送',
            self::SUCCESS => '推送成功',
            self::FAILURE => '推送失败',
        };
    }
}
