<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\MiniProgram;

/**
 * 微信小程序Api列表
 *
 * @see https://developers.weixin.qq.com/miniprogram/dev/framework/
 */
enum OpenApi: string
{
    // 开始开发
    case GET_ACCESS_TOKEN = '/cgi-bin/token';
    case GET_STABLE_ACCESS_TOKEN = '/cgi-bin/stable_token';

    // 小程序登录
    case GET_CODE_TO_SESSION = '/sns/jscode2session';

    case CHECK_SESSION_KEY = '/wxa/checksession';

    case RESET_USER_SESSION_KEY = '/wxa/resetusersessionkey';

    // 用户信息
    case GET_PLUGIN_OPEN_PID = '/wxa/getpluginopenpid';

    case CHECK_ENCRYPTED_DATA = '/wxa/business/checkencryptedmsg';

    case GET_PAID_UNION_ID = '/wxa/getpaidunionid';

    case GET_PHONE_NUMBER =  '/wxa/business/getuserphonenumber';
}
