<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\Official;

/**
 * 推送模板消息ID
 */
enum SubscribeId: string
{
    case REGISTRATION_SUCCESS = 'ASUyXyVFONT6RNwbAs49_rHKQUkc_7iXs31kt1AyACU';

    case REGISTRATION_FAILURE = '36fosQYJU-dN8AsNZERrXY9bfEhP1N9zoqVkORnVr_o';

    case REGISTRATION_CANCEL = '8sWThvcSxg0uS6AFy0LWOeGjbRTUI_n2QHDDMYffjGo';

    case OUTPATIENT_PENDING = 'qieeDt7t2XnT0xB8Fc5ec_peuQDN4TQFPl3ivsILKF0';

    case OUTPATIENT_PAYMENT = 'Aeww94Ahcr0q8bGaAQTSW3s6CB2RXdN9qxZV65bYhhc';

    case INPATIENT_RECHARGE_SUCCESS = 'V30A9ZZ6dqJe_DrYhB5YTUmDbj_F99oJ5k3XP4LK7qk';

    case INPATIENT_RECHARGE_FAILURE = '02HnYY5HFP9LKrWDX_UsQNq2vw3ttfGBvZ4H7SfPZyM';

    case REFUND = '3C9Zw6gBgESwciGF3y2ZeoelYXg1fiZeHAnOUXRf2nM';

    case VISIT = 'IrpIcVU20c5GzBPNUqkp_lvuO-t8gxjiiGx7S88GvIA';

    case SUSPEND_VISIT = 'fTUc-MhhqpBA9WzqQQtfceAmgRr8EFuJNDSdvRDG5K8';

    case TAKE_MEDICINE = '-NX91rCEWPejiKVgbkkGf1QF4zNyH7tadHnkTDqyK_c';

    case TODO_LIST = 'pLdQ5HfXP12C8bHM8EiUP2dqOVFqv-2m0YGCpqC-54Y';

    /**
     * Label string
     *
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::REGISTRATION_SUCCESS => '挂号成功通知',
            self::REGISTRATION_FAILURE => '挂号失败通知',
            self::REGISTRATION_CANCEL => '挂号取消通知',
            self::OUTPATIENT_PENDING => '门诊待缴费通知',
            self::OUTPATIENT_PAYMENT => '门诊缴费通知',
            self::INPATIENT_RECHARGE_SUCCESS => '住院预交金支付成功通知',
            self::INPATIENT_RECHARGE_FAILURE => '住院预交失败提醒',
            self::REFUND => '退费通知',
            self::VISIT => '就诊提醒',
            self::SUSPEND_VISIT => '医生停诊通知',
            self::TAKE_MEDICINE => '取药通知',
            self::TODO_LIST => '待办事项通知'
        };
    }
}
