<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\Payment;

/**
 * JSAPI支付 V2 API列表
 *
 * @see https://pay.weixin.qq.com/wiki/doc/api/jsapi.php?chapter=7_1
 */
enum V2Api: string
{
    // 查询订单
    case QUERY_ORDER = '/pay/orderquery';

    // 查询退款单
    case QUERY_REFUND_ORDER = '/pay/refundquery';

    // 统一下单
    case PAYMENT = '/pay/unifiedorder';

    // 退款
    case REFUND = '/secapi/pay/refund';
}
