<?php

namespace App\Http\Resources\Registration\Schedule;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class DeptListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $this->resource = xmlArrayToListByKey($this->resource, 'ITEM');

        $lists = [];
        foreach ($this->resource['ITEM'] as $v) {
            $lists[] = [
                'dept_id' => $v['DEPID'],
                'dept_name' => $v['DEPNAME'],
                'dept_intro' => $v['INTRODUCE']
            ];
        }

        return $lists;
    }
}
