<?php

namespace App\Http\Resources\Registration\Schedule;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class DoctorListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $this->resource = xmlArrayToListByKey($this->resource, 'ITEM');

        $lists = [];
        foreach ($this->resource['ITEM'] as $k=>$v) {
            $lists[$k] = [
                'doctor_id' => $v['DOCTID'],
                'doctor_name' => $v['DOCTNAME'],
                'doctor_title' => $v['TYPENAME'],
                'doctor_intro' => $v['DEPLOCATION'],
                'is_doctor' => (int) $v['ISKSDOC'],
            ];

            $v = xmlArrayToListByKey($v, 'SHIFT');
            foreach ($v['SHIFT'] as $k2=>$v2) {
                $lists[$k]['schedule_lists'][$k2] = [
                    'reg_id' => $v2['REGID'],
                    'date' => $v2['FDATE'],
                    'rank_id' => $v2['RANKID'],
                    'rank_name' => $v2['RANKNAME'],
                    'start_time' => $v2['STARTTIME'],
                    'end_time' => $v2['ENDTIME'],
                    'fee' => $v2['FEE'],
                    'fee_code' => $v2['FEECODE'],
                    'reg_count' => $v2['REGCOUNT'],
                    'no_visit_count' => $v2['JZCOUNT'],
                ];
            }
        }

        return $lists;
    }
}
