<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('patients', static function (Blueprint $table) {
            $table->id();
            $table->string('union_id', 32)->default('')->comment(' union_id');
            $table->string('open_id', 32)->index()->comment('openid');
            $table->string('patient_id', 20)->index()->comment('患者门诊号');
            $table->unsignedTinyInteger('card_type')->index()->comment('患者证件类型');
            $table->string('card_no', 64)->index()->comment('患者证件号');
            $table->string('name', 50)->comment('患者名称');
            $table->unsignedTinyInteger('sex')->comment('性别 1男 2女');
            $table->string('birthday', 10)->comment('出生日期');
            $table->string('mobile_phone', 64)->default('')->comment('手机号码');
            $table->string('address', 255)->default('')->comment('建档地址');
            $table->unsignedTinyInteger('def_status')->index()->default(0)->comment('默认选择 0否 1是');
            $table->string('qr_code_text')->default('')->comment('二维码文本');
            $table->string('health_card_id')->default('')->comment('健康卡ID');
            $table->unsignedTinyInteger('health_card_status')->default(0)->comment('健康卡状态');
            $table->timestamps();
            $table->engine = 'MyISAM';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('patients');
    }
};
