<?php

declare(strict_types=1);

namespace UnifyPayment\Modules\Pay;

use ReflectionException;
use UnifyPayment\Cores\BasicClient;
use UnifyPayment\Cores\Exceptions\InvalidConfigException;
use UnifyPayment\Cores\Exceptions\RuntimeException;
use UnifyPayment\Cores\Struct\CreateOrder;

class MiniProgramClient extends BasicClient
{

    /**
     * WeChat Mini Program Payment
     *
     * @param CreateOrder $order
     *
     * @return array|string
     *
     * @throws ReflectionException
     * @throws InvalidConfigException
     * @throws RuntimeException
     */
    public function jsapi(CreateOrder $order)
    {
        $this->payload = array_merge($this->payload, $order->toArray());
        $this->payload['sign'] = $this->generateSign($this->payload);

        return $this->request('post', '/index.php/api/pay/miniapp');
    }

}